Next: carg, Previous: cacos, Up: Complex

### 2.3 `cacosh`, `cacoshf`—complex arc hyperbolic cosine

Synopsis

         #include <complex.h>
         double complex cacosh(double complex z);
         float complex cacoshf(float complex z);

Description
These functions compute the complex arc hyperbolic cosine of z, with a branch cut at values less than 1 along the real axis.

`cacoshf` is identical to `cacosh`, except that it performs its calculations on `floats complex`.

Returns
These functions return the complex arc hyperbolic cosine value, in the range of a half-strip of non-negative values along the real axis and in the interval [-i * pi, +i * pi] along the imaginary axis.

Portability
`cacosh` and `cacoshf` are ISO C99